For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
      • GETRetrieve a contribution report
      • GETList all contribution reports
      • POSTFinalize a contribution report
      • GETRetrieve an employee breakdown
      • GETList all employee breakdowns
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceContribution Reports

List all employee breakdowns

GET
/contribution_reports/:contribution_report_id/employee_breakdowns
GET
/contribution_reports/:contribution_report_id/employee_breakdowns
$curl https://test.api.kota.io/contribution_reports/ctr_3b1333d87d9d4fd6ad83ba7f6b0e951a/employee_breakdowns \
> -H "Authorization: Bearer <apiKey>"
1{
2 "items": [
3 {
4 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "contribution_report_id": "ctr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
6 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
7 "period": {
8 "from_date": "2024-12-01",
9 "to_date": "2024-12-01"
10 },
11 "currency": "eur",
12 "status": "open",
13 "created_at": "2024-12-01T00:00:00Z",
14 "last_updated_at": "2024-12-01T00:00:00Z",
15 "health_insurance": {
16 "employer_contributions": [
17 {
18 "id": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a",
19 "category": "gross_premium",
20 "member_type": "policyholder",
21 "adjustment": true,
22 "amount": 123.45,
23 "type": "recurring",
24 "cover_period": {
25 "from_date": "2024-12-01",
26 "to_date": "2024-12-01"
27 },
28 "policy_id": "p_3b1333d87d9d4fd6ad83ba7f6b0e951a",
29 "reporting_month": "2024-12-01",
30 "employee_policy_id": "eehp_3b1333d87d9d4fd6ad83ba7f6b0e951a",
31 "adjustment_for": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a"
32 }
33 ],
34 "employee_contributions": [
35 {
36 "id": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a",
37 "category": "gross_premium",
38 "member_type": "policyholder",
39 "adjustment": true,
40 "amount": 123.45,
41 "type": "recurring",
42 "cover_period": {
43 "from_date": "2024-12-01",
44 "to_date": "2024-12-01"
45 },
46 "policy_id": "p_3b1333d87d9d4fd6ad83ba7f6b0e951a",
47 "reporting_month": "2024-12-01",
48 "employee_policy_id": "eehp_3b1333d87d9d4fd6ad83ba7f6b0e951a",
49 "adjustment_for": "ct_3b1333d87d9d4fd6ad83ba7f6b0e951a"
50 }
51 ]
52 },
53 "object": "string",
54 "finalized_at": "2024-12-01T00:00:00Z"
55 }
56 ],
57 "page": 123,
58 "page_size": 123,
59 "total_count": 123,
60 "has_next_page": true,
61 "has_previous_page": true
62}

Returns a list of employee breakdowns for a contribution report. The breakdowns are returned sorted by creation date, with the most recent breakdown appearing first.

Previous

Retrieve an employee breakdown

Next

Events and Webhooks

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

contribution_report_idstringRequiredformat: "ctr_.+"

Query parameters

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

404
Not Found Error